Package org.springframework.security.acls.domain

# Interface AclAuthorizationStrategy

All Known Implementing Classes:
  `AclAuthorizationStrategyImpl`

public interface AclAuthorizationStrategy
Strategy used by `AclImpl` to determine whether a principal is permitted to call adminstrative methods on the `AclImpl`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHANGE_AUDITING`
`static final int`
`CHANGE_GENERAL`
`static final int`
`CHANGE_OWNERSHIP`

## Method Summary

Modifier and Type
Method
Description
`void`
`securityCheck(Acl acl, int changeType)`

## Field Details

### CHANGE_OWNERSHIP

static final int CHANGE_OWNERSHIP

See Also:
  - Constant Field Values

### CHANGE_AUDITING

static final int CHANGE_AUDITING

See Also:
  - Constant Field Values

### CHANGE_GENERAL

static final int CHANGE_GENERAL

See Also:
  - Constant Field Values

## Method Details

### securityCheck

void securityCheck(Acl acl, int changeType)